%global srcname billiard

Name:           python-%{srcname}
Version:        4.0.2
Release:        %mkrel 1
Summary:        A multiprocessing pool extensions
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/billiard
Source0:        https://files.pythonhosted.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
This package contains extensions to the multiprocessing pool.

%package -n python3-%{srcname}
Summary:        %{summary}
Group:          Development/Python

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For tests:
BuildRequires:  python3-case
BuildRequires:  python3-mock
BuildRequires:  python3-psutil
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains extensions to the multiprocessing pool.

%prep
%autosetup -n %{srcname}-%{version}

sed -i -e 's,\(^pytest\).*,\1,' requirements/test.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.txt README.rst
%license LICENSE.txt


%changelog
* Mon Sep 05 2022 neoclust <neoclust> 4.0.2-1.mga9
+ Revision: 1884157
- New version 4.0.2

* Sun Mar 27 2022 umeabot <umeabot> 3.6.4.0-4.mga9
+ Revision: 1828918
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.6.4.0-3.mga9
+ Revision: 1785725
- rebuild for python-3.10
- delete unneeded unittest2 BR

* Sat Jun 26 2021 tmb <tmb> 3.6.4.0-2.mga9
+ Revision: 1733727
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 3.6.4.0-1.mga9
+ Revision: 1733559
- new version 3.6.4.0
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.6.1.0-3.mga8
+ Revision: 1534991
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 3.6.1.0-2.mga8
+ Revision: 1450471
- update descr
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 18 2019 wally <wally> 3.6.1.0-1.mga8
+ Revision: 1429689
- new version 3.6.1.0
- skip py2 tests

* Mon Jan 07 2019 shlomif <shlomif> 3.5.0.5-1.mga7
+ Revision: 1351150
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.5.0.3-3.mga7
+ Revision: 1300446
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 ngompa <ngompa> 3.5.0.3-2.mga7
+ Revision: 1152403
- Adapt for Mageia
- imported package python-billiard


* Sun Aug 27 2017 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.5.0.3-1
- Update to latest upstream version 3.5.0.3 (rhbz#1471568)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.5.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.5.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 07 2017 Matthias Runge <mrunge@redhat.com> - 1:3.5.0.2-1
- update to 3.5.0.2
- enable tests again

* Thu Dec 22 2016 Adam Williamson <awilliam@redhat.com> -  - 1:3.5.0.1-2
- Disable tests for now, they cannot work till python-case is packaged

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com>
- Rebuild for Python 3.6

* Wed Nov 16 2016 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.5.0.1-1
- Update to latest upstream version 3.5.0.1 (rhbz#1354091)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.3.0.23-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 09 2016 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.3.0.23-1
- Update to latest upstream version 3.3.0.23 (rhbz#1314751)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.3.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.3.0.22-1
- Update to latest upstream version 3.3.0.22 (rhbz#1275443)

* Thu Nov 12 2015 Kalev Lember <klember@redhat.com> - 1:3.3.0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Oct 28 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.3.0.21-1
- Update to latest upstream version 3.3.0.21 (rhbz#1086634)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.3.0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Apr 18 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.3.0.20-1
- Update to latest upstream version 3.3.0.20 (rhbz#1213018)

* Fri Nov 21 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1:3.3.0.19-1
- Update to latest upstream version 3.3.0.19 (rhbz#1166400)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.3.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 23 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.18-1
- Update to latest upstream version 3.3.0.18 (rhbz#1111875)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.3.0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1:3.3.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Apr 17 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.17-1
- Update to latest upstream version 3.3.0.17 (rhbz#1088894)

* Wed Mar 05 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.16-1
- Update to latest upstream version 3.3.0.16 (rhbz#1063785)

* Thu Jan 23 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.14-1
- Update to latest upstream version 3.3.0.14 (rhbz#1055303)

* Wed Jan 08 2014 Matthias Runge <mrunge@redhat.com> - 3.3.0.13-1
- update to 3.3.013 (rhbz#1034114)
- use epoch:1 (rhbz#1028626)

* Thu Nov 21 2013 Matthias Runge <mrunge@redhat.com> - 3.3.0.7-1
- update to 3.3.0.7 (rhbz#1026722)

* Sat Nov 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.1-1
- Update to latest upstream version 3.3.0.1 (rhbz#1026722)

* Mon Oct 28 2013 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.0-1
- Update to latest upstream version 3.3.0.0 (rhbz#1019144)

* Mon Oct 14 2013 Matthias Runge <mrunge@redhat.com> - 2.7.34-1
- update to 2.7.34 (rhbz#1018595)
- enable tests

* Tue Oct 08 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.33-1
- Update to latest upstream version 2.7.3.33

* Sat Aug 17 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.32-1
- Update to latest upstream version 2.7.3.32

* Wed Jul 31 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.31-1
- Update to latest upstream version 2.7.3.31

* Sat Jun 29 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.30-1
- Update to latest upstream version 2.7.3.30

* Wed Apr 17 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.28-1
- Update to latest upstream version 2.7.3.28

* Tue Mar 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.23-1
- Update to latest upstream version 2.7.3.23

* Sat Mar 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.22-1
- Update to latest upstream version 2.7.3.22

* Wed Feb 13 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.21-1
- Update to latest upstream version 2.7.3.21

* Mon Feb 11 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.20-1
- Update to latest upstream version 2.7.3.20

* Sun Dec 02 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.19-1
- Update to upstream version 2.7.3.19

* Tue Nov 06 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.18-1
- Update to upstream version 2.7.3.18

* Fri Sep 28 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.17-1
- Update to upstream version 2.7.3.17

* Thu Sep 20 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.14-1
- Update to upstream version 2.7.3.14

* Sun Aug 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.7.3.12-1
- Update to new upstream version 2.7.3.12
- Provide python3 packages
- Enable checks

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> 2.7.3.11-1
- Update to new upstream version 2.7.3.11

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.9-1
- Update to new upstream version 2.7.3.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 14 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-2
- TODO removed

* Sat Jul 03 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Initial package
